package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevWalkieTalkie;

/**
 * 对讲机Service接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface ITDevWalkieTalkieService 
{
    /**
     * 查询对讲机
     * 
     * @param id 对讲机主键
     * @return 对讲机
     */
    public TDevWalkieTalkie selectTDevWalkieTalkieById(Long id);

    /**
     * 查询对讲机列表
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 对讲机集合
     */
    public List<TDevWalkieTalkie> selectTDevWalkieTalkieList(TDevWalkieTalkie tDevWalkieTalkie);

    /**
     * 新增对讲机
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 结果
     */
    public int insertTDevWalkieTalkie(TDevWalkieTalkie tDevWalkieTalkie);

    /**
     * 修改对讲机
     * 
     * @param tDevWalkieTalkie 对讲机
     * @return 结果
     */
    public int updateTDevWalkieTalkie(TDevWalkieTalkie tDevWalkieTalkie);

    /**
     * 批量删除对讲机
     * 
     * @param ids 需要删除的对讲机主键集合
     * @return 结果
     */
    public int deleteTDevWalkieTalkieByIds(Long[] ids);

    /**
     * 删除对讲机信息
     * 
     * @param id 对讲机主键
     * @return 结果
     */
    public int deleteTDevWalkieTalkieById(Long id);
}
